Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.security
Class GetUsersCommand

    java.lang.Object
      org.labkey.remoteapi.Command<GetUsersResponse>
          org.labkey.remoteapi.security.GetUsersCommand

    public class GetUsersCommand

extends Command<GetUsersResponse>

Returns a list of users given selection criteria. This may be called by any logged-in user. User: jeckels Date: Jan 26, 2010

Nested Class Summary

Nested classes/interfaces inherited from class org.labkey.remoteapi.Command
`Command.CommonParameters`

Field Summary

Fields inherited from class org.labkey.remoteapi.Command
`CONTENT_TYPE_JSON`

Constructor Summary
`GetUsersCommand()`
`GetUsersCommand(Command source, java.lang.String group, int groupId, java.lang.String name)`

Method Summary
`Command` | `copy()` Returns a copy of this object.
`protected GetUsersResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text and the HTTP status code.
`java.lang.String` | `getGroup()`
`int` | `getGroupId()`
`java.lang.String` | `getName()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()` Returns the current parameter map, or null if a map has not yet been set.
`void` | `setGroup(java.lang.String group)`
`void` | `setGroupId(int groupId)`
`void` | `setName(java.lang.String name)`

Methods inherited from class org.labkey.remoteapi.Command
`createMethod, execute, getActionName, getActionUrl, getControllerName, getHttpMethod, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetUsersCommand

    public GetUsersCommand()

### GetUsersCommand

    public GetUsersCommand(Command source,
                           java.lang.String group,
                           int groupId,
                           java.lang.String name)

Method Detail

### getGroupId

    public int getGroupId()

  Returns:
    the id of a project group for which you want the members

### setGroupId

    public void setGroupId(int groupId)

  Parameters:
    `groupId` - the id of a project group for which you want the members (specify groupId or group, not both).

### getGroup

    public java.lang.String getGroup()

  Returns:
    the name of a project group for which you want the members

### setGroup

    public void setGroup(java.lang.String group)

  Parameters:
    `group` - the name of a project group for which you want the members (specify groupId or group, not both).

### getName

    public java.lang.String getName()

  Returns:
    the first part of the user name, useful for user name completion

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The first part of the user name, useful for user name completion. If specified, only users whose email address or display name starts with the value supplied will be returned.

### copy

    public Command copy()

  Description copied from class: `Command`
  Returns a copy of this object. Derived classes should override this to copy their own data members

  Overrides:
    `copy` in class `Command<GetUsersResponse>`
  Returns:
    A copy of this object

### getParameters

    public java.util.Map<java.lang.String,java.lang.Object> getParameters()

  Description copied from class: `Command`
  Returns the current parameter map, or null if a map has not yet been set. Derived classes will typically override this method to provide a parameter map based on data members set by specialized setter methods.

  Overrides:
    `getParameters` in class `Command<GetUsersResponse>`
  Returns:
    The current parameter map.

### createResponse

    protected GetUsersResponse createResponse(java.lang.String text,
                                              int status,
                                              java.lang.String contentType,
                                              org.json.simple.JSONObject json)

  Description copied from class: `Command`
  Creates an instance of the response class, initialized with the response text and the HTTP status code.

  Override this method to create an instance of a different class that extends CommandResponse

  Overrides:
    `createResponse` in class `Command<GetUsersResponse>`
  Parameters:
    `text` - The response text from the server.
    `status` - The HTTP status code.
    `contentType` - The Content-Type header value.
    `json` - The parsed JSONObject (or null if no JSON was returned).
  Returns:
    An instance of the response object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD